---
title: GObject Builder
copyright: 2020 Nick Bowler
license: gpl-2 or (at your option) any later version
---

GObject Builder (gob-dx) is a preprocessor that generates much of the
boilerplate associated with implementing GObjects in C.

[gob-original]: https://www.jirka.org/gob.html

As the [original version][gob-original] written by George Lebl has not seen
any updates since 2013, gob-dx is a straight-up fork with minor enhancements.
Compatibility is a goal, if your code works with the original gob it should
work with gob-dx as well.

# Enhancements in gob-dx compared to the original

* Support for dynamic types via GTypeModule,
* Improved support for overriding interfaces in subclasses,
* Enhanced build system,
* Improved test suite.

# Obtaining gob-dx

[gob-gitweb]: //git.draconx.ca/gitweb/gob-dx.git

There are presently no released versions of gob-dx.  The development sources
[may be browsed online][gob-gitweb] or cloned directly using git, e.g.,

<kbd>git clone https://git.draconx.ca/gob-dx.git</kbd>

# Dependencies

[gtk-homepage]: https://www.gtk.org/

Gob-dx is written in C, so a working C compiler is required.  Moreover, the
[GLib library][gtk-homepage] (version 2 or later) is required both for gob-dx
itself and also libgobject (included with GLib) is needed to make use of any
generated code.

Building from the development sources may require additional build tools.

# License

Gob-dx is free software, you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 2 of the License or (at your option) any later
version.
