---
title: Picard Plugins
copyright: 2020 Nick Bowler
license: gpl-3 or (at your option) any later version
---

I maintain a variety of extensions which make the [MusicBrainz
Picard][picard-homepage] tagger even better than it already is.

[picard-homepage]: https://picard.musicbrainz.org/

# Obtaining the plugins

[picard-plugins-gitweb]: //git.draconx.ca/gitweb/picard-plugins.git

As a collection of extension programs, there are no release packages per se.
The collection [may be browsed online][picard-plugins-gitweb] or cloned
directly using git, e.g.,

<kbd>git clone https://git.draconx.ca/picard-plugins.git</kbd>

Alternately, direct links to the latest revision of individual plugins are
provided below.

# Installation

Individual plugins may be installed by simply placing them in the Picard user
directory, typically `~/.config/MusicBrainz/Picard/plugins/`.  A newly
installed plugin will be disabled by default and must be enabled in Picard's
plugin dialog.

Note that Picard must be restarted after any plugin changes in order for them
to take effect.

# List of Plugins

[karaoke-flagger-plugin]: //git.draconx.ca/gitweb/picard-plugins.git/blob_plain/HEAD:/karaoke-flagger.py
[external-script-plugin]: //git.draconx.ca/gitweb/picard-plugins.git/blob_plain/HEAD:/external-script-manager.py
[tweak-filename-plugin]: //git.draconx.ca/gitweb/picard-plugins.git/blob_plain/HEAD:/tweak-filename-filter.py
[no-remote-plugin]: //git.draconx.ca/gitweb/picard-plugins.git/blob_plain/HEAD:/no-remote-plugins.py

Where relevant, detailed usage information for these plugins is displayed
in Picard's plugin dialog after installation.

[Karaoke+ Flagger][karaoke-flagger-plugin]

: Enabling this plugin adds new metadata variables so that Picard tagger
  scripts can identify recordings which have the "karaoke version of..."
  relationship.  This is useful as part of a system to generate playlists
  for your karaoke dance parties (or to just exclude karaoke tracks from
  your normal playlists).

  Recordings of audio dramas are flagged similarly.

[vim-homepage]: https://www.vim.org/

[External Script Manager][external-script-plugin]

: Enabling this plugin will allow tagger scripts to be almost entirely managed
  outside of Picard and edited using [your favourite editor][vim-homepage].
  Aside from the obvious benefit of using a real editor, this is useful for
  tracking script changes in Git or synchronizing scripts between different
  Picard installations.

[Tweak Filename Filter][tweak-filename-plugin]

: Prior to generating filenames, Picard will substitute directory separators
  in metadata with underscores.  This behaviour cannot be adjusted in a file
  naming script as the script only gets the metadata after this substitution.
  Enabling this plugin adds additional configuration options to adjust how
  this substitution is performed.

[No Remote Plugins][no-remote-plugin]

: Picard's plugins dialog by default contains a list of online plugins that
  Picard will automatically download and install at the push of a button.
  Unfortunately many of these online plugins have missing or unclear license
  information and as such are probably non-free.

  Enabling this plugin will prevent Picard from downloading the online plugin
  list at startup so that it cannot entice you to install proprietary plugins.
  The only plugins displayed in the UI will be those you have manually placed
  in the plugins directory.

# License

These plugins are free software: you can redistribute and/or modify them
under the terms of the GNU General Public License as published by the Free
Software Foundation, either version 3 of the License or (at your option)
any later version.
